package com.liangjian.dataplatform.member.entity.po.secondary;

import com.fasterxml.jackson.annotation.JsonProperty;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;


@Entity
@Table(name = "mem_ingProductPic")
public class MemIngProductPic {
    @Id
    @Column(name = "PicID")
    private String picID;

    @Column(name = "ProductCode")
    private String productCode;

    @Column(name = "PicUrl")
    private String picUrl;

    @Column(name = "CreationDate")
    private Date creationDate;

    @Column(name = "IsDelete")
    private Integer isDelete;

    @Column(insertable = false)
    private String url;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPicID() {
        return picID;
    }

    public void setPicID(String picID) {
        this.picID = picID;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public Date getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
